vdotfiles

Cem's Dotfiles for Void Linux
git clone git://git.ckyln.com/vdotfiles.git
Log | Files | Refs | Submodules | README | LICENSE

commit a83542f11e612f5652a45e296bde4a5e376f73ec
parent e53a124bbf99ba9a27d50aa3165b508bddf22fc8
Author: Cem Keylan <cem@ckyln.com>
Date:   Sat,  2 Nov 2019 13:20:25 +0300

fetchthedocs

Diffstat:
A.local/bin/fetchthedocs | 10++++++++++
1 file changed, 10 insertions(+), 0 deletions(-)

diff --git a/.local/bin/fetchthedocs b/.local/bin/fetchthedocs @@ -0,0 +1,10 @@ +#!/usr/bin/env sh + +out() { printf "$1\\n"; } +error() { out "==> ERROR: $@"; } >&2 +die() { error "$@"; exit 1; } + +wget -V >/dev/null 2>&1 || die 'wget is not installed' +out "Installing carbs documentation to $HOME/.local/share/carbs/carbs.pdf" +mkdir -p $HOME/.local/share/carbs || die 'Could not create directory for carbs documentation' +wget -O $HOME/.local/share/carbs/carbs.pdf https://gitlab.cemkeylan.com/cemkeylan/carbsdocs/-/jobs/artifacts/master/raw/carbs.pdf\?job\=build || die 'Could not download carbs.pdf'